PHPのご利用方法

ヘテムルで PHP をご利用いただく方法

ヘテムルでは、ご契約によって、PHP のバージョンの初期設定が異なります。
初期設定はコントロールパネル【アカウント情報】にて、ご確認ください。

PHPのバージョンを指定しない「.php」の拡張子で PHP5.4 で動作しています。
PHP5.6 を利用される場合は下記の設定が必要です。

※ PHP5.3 はPHP自体のサポートが2014年7月10日に終了しております。
   上位バージョンのご利用を推奨いたします。

※ PHP5.4 を利用する場合は、下記ページもご確認ください。

» MySQL5へPHP5.4接続し「データベース接続エラー」となる場合の対応方法

PHP5.6/5.4 のご利用方法

.htaccess ファイルで指定する方法

下記内容を記述した『 .htaccess 』ファイルを、PHP5.6で動作させたいフォルダに配置してください。
WEB フォルダに配置した『 .htaccess 』に記述をした場合、全てのフォルダに指定したバージョンが適用されます。

指定方法の詳細はこちらも確認ください
» .htaccessでPHPのバージョンを指定する方法【hetemlブログ】

PHP5.6を指定する場合

AddHandler php5.6-script .php

拡張子で指定する方法

PHP5.6を指定する場合

ファイルの拡張子を 「 .php56 」 とすることで、PHP5.6 がご利用いただけます。
例)index.php ( PHP5.4で動作) →index.php56 ( PHP5.6 で動作)

※ PHP5.3 も同様の指定でご利用いただけます。

» サンプルファイルはこちら


お試しお申し込み

トップヘ戻る